Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Update
authoralegrand <alegrand@48e7efb5-ca39-0410-a469-dd3cf9ba447f>
Wed, 28 Feb 2007 10:28:18 +0000 (10:28 +0000)
committeralegrand <alegrand@48e7efb5-ca39-0410-a469-dd3cf9ba447f>
Wed, 28 Feb 2007 10:28:18 +0000 (10:28 +0000)
git-svn-id: svn+ssh://scm.gforge.inria.fr/svn/simgrid/simgrid/trunk@3170 48e7efb5-ca39-0410-a469-dd3cf9ba447f

33 files changed:
Makefile.in
configure
doc/Makefile.in
examples/Makefile.in
examples/amok/Makefile.in
examples/amok/bandwidth/Makefile.in
examples/amok/saturate/Makefile.in
examples/gras/Makefile.in
examples/gras/all2all/Makefile.in
examples/gras/chrono/Makefile.in
examples/gras/mmrpc/Makefile.in
examples/gras/mutual_exclusion/simple_token/Makefile.in
examples/gras/p2p/Makefile.in
examples/gras/p2p/can/Makefile.in
examples/gras/p2p/chord/Makefile.in
examples/gras/ping/Makefile.in
examples/gras/pmm/Makefile.in
examples/gras/pmm/pmm.c
examples/gras/rpc/Makefile.in
examples/gras/timer/Makefile.in
examples/msg/Makefile.in
examples/simdag/Makefile.in
examples/simdag/mixtesim/Makedefs
examples/simdag/mixtesim/Makefile
examples/simdag/mixtesim/src/list_scheduling_util.c
include/Makefile.in
libtool
src/Makefile.in
src/gras_config.h.in
testsuite/Makefile.in
tools/MSG_visualization/trace2fig.pl
tools/Makefile.in
tools/gras/Makefile.in

index 594f717..f1839a3 100644 (file)
@@ -165,6 +165,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index b87b23d..bf25e63 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
 #! /bin/sh
-# From configure.ac Revision: 1.137 .
+# From configure.ac Revision: 1.139 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for simgrid 3.1.1-cvs.
 #
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for simgrid 3.1.1-cvs.
 #
@@ -881,6 +881,8 @@ LIBOBJS
 PTH_STACK_GROWTH
 pth_skaddr_makecontext
 pth_sksize_makecontext
 PTH_STACK_GROWTH
 pth_skaddr_makecontext
 pth_sksize_makecontext
+USE_SIMIX_TRUE
+USE_SIMIX_FALSE
 HAVE_SDP_TRUE
 HAVE_SDP_FALSE
 SIMGRID_DEP
 HAVE_SDP_TRUE
 HAVE_SDP_FALSE
 SIMGRID_DEP
@@ -1512,6 +1514,7 @@ Optional Features:
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
   --disable-libtool-lock  avoid locking (might break parallel builds)
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
   --disable-libtool-lock  avoid locking (might break parallel builds)
+  --enable-simix          Use the new SimIX module (default=no)
   --enable-maintainer-mode  enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer
   --enable-compile-warnings
   --enable-maintainer-mode  enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer
   --enable-compile-warnings
@@ -4389,7 +4392,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4392 "configure"' > conftest.$ac_ext
+  echo '#line 4395 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7411,11 +7414,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7414: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7417: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7418: \$? = $ac_status" >&5
+   echo "$as_me:7421: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7679,11 +7682,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7682: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7685: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7686: \$? = $ac_status" >&5
+   echo "$as_me:7689: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7783,11 +7786,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7786: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7789: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7790: \$? = $ac_status" >&5
+   echo "$as_me:7793: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10080,7 +10083,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10083 "configure"
+#line 10086 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10180,7 +10183,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10183 "configure"
+#line 10186 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12516,11 +12519,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12519: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12522: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12523: \$? = $ac_status" >&5
+   echo "$as_me:12526: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12620,11 +12623,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12623: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12626: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12627: \$? = $ac_status" >&5
+   echo "$as_me:12630: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14181,11 +14184,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14184: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14187: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14188: \$? = $ac_status" >&5
+   echo "$as_me:14191: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14285,11 +14288,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14288: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14291: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14292: \$? = $ac_status" >&5
+   echo "$as_me:14295: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16472,11 +16475,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16475: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16478: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16479: \$? = $ac_status" >&5
+   echo "$as_me:16482: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16740,11 +16743,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16743: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16746: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16747: \$? = $ac_status" >&5
+   echo "$as_me:16750: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16844,11 +16847,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16847: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16850: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16851: \$? = $ac_status" >&5
+   echo "$as_me:16854: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
 
 fi
 
 
 fi
 
+
+#########################################
+## Build optional modules (simix)
+##
+
+  { echo "$as_me:$LINENO: result: " >&5
+echo "${ECHO_T}" >&6; }
+  { echo "$as_me:$LINENO: result: ${T_MD}Optional modules${T_ME}" >&5
+echo "${ECHO_T}${T_MD}Optional modules${T_ME}" >&6; }
+
+# Check whether --enable-use-simix was given.
+if test "${enable_use_simix+set}" = set; then
+  enableval=$enable_use_simix; enable_simix=$enableval
+else
+  enable_simix=no
+fi
+
+if test "x$enable_simix" = "xyes" ; then
+  { echo "$as_me:$LINENO: result: \"***** You have decided to use the experimental SimIX. We hope you know what you're doing.. ****\"" >&5
+echo "${ECHO_T}\"***** You have decided to use the experimental SimIX. We hope you know what you're doing.. ****\"" >&6; }
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_SIMIX 1
+_ACEOF
+
+else
+  { echo "$as_me:$LINENO: result: Eventually you willl come to SimIX: x$enable_simix" >&5
+echo "${ECHO_T}Eventually you willl come to SimIX: x$enable_simix" >&6; }
+fi
+
+
+if test x$csdp != xno; then
+  USE_SIMIX_TRUE=
+  USE_SIMIX_FALSE='#'
+else
+  USE_SIMIX_TRUE='#'
+  USE_SIMIX_FALSE=
+fi
+
+
 #########################################
 ## Check for libraries extra-dependencies
 ##
 #########################################
 ## Check for libraries extra-dependencies
 ##
@@ -25537,6 +25580,7 @@ echo "${ECHO_T}$GRAS_DEP" >&6; }
 fi
 
 
 fi
 
 
+
 ##############################################
 ## Enhance maintainer mode and SUBST variables
 ## (must be placed after any compilation tests since our overprotective flags
 ##############################################
 ## Enhance maintainer mode and SUBST variables
 ## (must be placed after any compilation tests since our overprotective flags
@@ -26378,6 +26422,13 @@ echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${USE_SIMIX_TRUE}" && test -z "${USE_SIMIX_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"USE_SIMIX\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"USE_SIMIX\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${HAVE_SDP_TRUE}" && test -z "${HAVE_SDP_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"HAVE_SDP\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
 if test -z "${HAVE_SDP_TRUE}" && test -z "${HAVE_SDP_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"HAVE_SDP\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -27145,6 +27196,8 @@ LIBOBJS!$LIBOBJS$ac_delim
 PTH_STACK_GROWTH!$PTH_STACK_GROWTH$ac_delim
 pth_skaddr_makecontext!$pth_skaddr_makecontext$ac_delim
 pth_sksize_makecontext!$pth_sksize_makecontext$ac_delim
 PTH_STACK_GROWTH!$PTH_STACK_GROWTH$ac_delim
 pth_skaddr_makecontext!$pth_skaddr_makecontext$ac_delim
 pth_sksize_makecontext!$pth_sksize_makecontext$ac_delim
+USE_SIMIX_TRUE!$USE_SIMIX_TRUE$ac_delim
+USE_SIMIX_FALSE!$USE_SIMIX_FALSE$ac_delim
 HAVE_SDP_TRUE!$HAVE_SDP_TRUE$ac_delim
 HAVE_SDP_FALSE!$HAVE_SDP_FALSE$ac_delim
 SIMGRID_DEP!$SIMGRID_DEP$ac_delim
 HAVE_SDP_TRUE!$HAVE_SDP_TRUE$ac_delim
 HAVE_SDP_FALSE!$HAVE_SDP_FALSE$ac_delim
 SIMGRID_DEP!$SIMGRID_DEP$ac_delim
@@ -27175,7 +27228,7 @@ build_id!$build_id$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 42; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 44; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index b665769..d269c8e 100644 (file)
@@ -138,6 +138,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index f5fcc83..0e99e98 100644 (file)
@@ -147,6 +147,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index beb2d2b..e45542d 100644 (file)
@@ -147,6 +147,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index ba763c6..fe4794d 100644 (file)
@@ -171,6 +171,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index b8e3ca9..1bcf3d4 100644 (file)
@@ -171,6 +171,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 29285e1..8077a0c 100644 (file)
@@ -147,6 +147,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 464f1a8..05c2e16 100644 (file)
@@ -171,6 +171,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 8e70ad2..7b51526 100644 (file)
@@ -165,6 +165,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 0d6ab78..0049824 100644 (file)
@@ -172,6 +172,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index c9f8c3e..2336951 100644 (file)
@@ -168,6 +168,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 4494dac..4549566 100644 (file)
@@ -147,6 +147,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 93e4492..c1a1108 100644 (file)
@@ -168,6 +168,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 557bbd6..6f0f2ed 100644 (file)
@@ -163,6 +163,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index f8cdbd1..f1815d9 100644 (file)
@@ -172,6 +172,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index b355b74..aea1e38 100644 (file)
@@ -168,6 +168,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 7d20b7c..3facf0b 100755 (executable)
 #include "xbt/matrix.h"
 #include "amok/peermanagement.h"
 
 #include "xbt/matrix.h"
 #include "amok/peermanagement.h"
 
-#define PROC_MATRIX_SIZE 3
+#define PROC_MATRIX_SIZE 4
 #define NEIGHBOR_COUNT PROC_MATRIX_SIZE - 1
 #define SLAVE_COUNT (PROC_MATRIX_SIZE*PROC_MATRIX_SIZE)
 
 #define NEIGHBOR_COUNT PROC_MATRIX_SIZE - 1
 #define SLAVE_COUNT (PROC_MATRIX_SIZE*PROC_MATRIX_SIZE)
 
-#define DATA_MATRIX_SIZE 18
+#define DATA_MATRIX_SIZE 2048
 const int submatrix_size = DATA_MATRIX_SIZE/PROC_MATRIX_SIZE;
 
 XBT_LOG_NEW_DEFAULT_CATEGORY(pmm,"Parallel Matrix Multiplication");
 const int submatrix_size = DATA_MATRIX_SIZE/PROC_MATRIX_SIZE;
 
 XBT_LOG_NEW_DEFAULT_CATEGORY(pmm,"Parallel Matrix Multiplication");
index eb77670..3536421 100644 (file)
@@ -171,6 +171,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 6d3268a..1e680bc 100644 (file)
@@ -163,6 +163,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index fd4b859..720fc7b 100644 (file)
@@ -171,6 +171,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 04c24d7..137cacd 100644 (file)
@@ -155,6 +155,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 208af19..1724e59 100644 (file)
@@ -3,13 +3,13 @@
 #
 # Should not print info about cd-ing to directories
 #
 #
 # Should not print info about cd-ing to directories
 #
-.SILENT:
+#.SILENT:
 
 #
 # Variables
 #
 SIMGRID_PATH = $(HOME)
 
 #
 # Variables
 #
 SIMGRID_PATH = $(HOME)
-MY_MIXTESIM_ROOT   = $(HOME)/simgrid/simgrid/examples/simdag/mixtesim
+MY_MIXTESIM_ROOT = /home/alegrand/simgrid3/examples/simdag/mixtesim
 CFLAGS        = -I$(MY_MIXTESIM_ROOT)/include \
              -I$(SIMGRID_PATH)/include \
              -finline-functions  -g  -Wall -Werror
 CFLAGS        = -I$(MY_MIXTESIM_ROOT)/include \
              -I$(SIMGRID_PATH)/include \
              -finline-functions  -g  -Wall -Werror
@@ -18,4 +18,4 @@ LD            = gcc
 
 LIBS = -lm
 
 
 LIBS = -lm
 
-SIMGRIDLIB = $(HOME)/lib/libsimgrid.so
+SIMGRIDLIB = $(SIMGRID_PATH)/lib/libsimgrid.so
index 0e103ea..2181918 100644 (file)
@@ -3,15 +3,15 @@ include ./Makedefs
 default: pre executable 
 
 pre:
 default: pre executable 
 
 pre:
-       @rm -f ./make.log
+       rm -f ./make.log
        @echo "Make log for Mixtesim" > ./make.log
 
 executable: 
        cd src; make all
 
 wc:
        @echo "Make log for Mixtesim" > ./make.log
 
 executable: 
        cd src; make all
 
 wc:
-       wc -l `find . -name "*.[ch]"` | grep total
+       wc -l `find . -name "*.[ch]"` | grep total
 
 clean:
 
 clean:
-       cd src;        $(MAKE) clean
-       /bin/rm -f ./bin/mixtesim
+       cd src;        $(MAKE) clean
+       /bin/rm -f ./bin/mixtesim
index d1ab22c..18d8d66 100644 (file)
@@ -128,33 +128,50 @@ void implementSimgridSchedule(DAG dag, Node *list)
           grand_parent=node->parents[k]->parents[0];
           grand_parent_host=NODE_ATTR(grand_parent)->host;
          host=NODE_ATTR(node)->host;
           grand_parent=node->parents[k]->parents[0];
           grand_parent_host=NODE_ATTR(grand_parent)->host;
          host=NODE_ATTR(node)->host;
-
-         host_list[0] = grand_parent_host;
-         host_list[1] = host;
-         communication_amount[1] = node->parents[k]->cost;
-         DEBUG1("Scheduling transfer task '%s'", SD_task_get_name(node->parents[k]->sd_task));
-         SD_task_schedule(node->parents[k]->sd_task, 2, host_list,
-                          no_cost, communication_amount, -1.0);
-         DEBUG2("Task '%s' state: %d", SD_task_get_name(node->parents[k]->sd_task),
-                SD_task_get_state(node->parents[k]->sd_task));
-
-/*           if (!route) { */
-/*             if (SG_scheduleTaskOnResource(node->parents[k]->sg_task, */
-/*                                       local_link->sg_link) */
-/*             == -1) { */
-/*           fprintf(stderr,"Task '%s' already in state %d\n", */
-/*                   node->parents[k]->sg_task->name, */
-/*                   node->parents[k]->sg_task->state); */
-/*         } */
-/*       } else { */
-/*             if (SG_scheduleTaskOnResource(node->parents[k]->sg_task, */
-/*                                       route)  */
-/*             == -1) { */
-/*          fprintf(stderr,"Task '%s' already in state %d\n", */
-/*                   node->parents[k]->sg_task->name, */
-/*                   node->parents[k]->sg_task->state); */
-/*         }  */
-/*       } */
+         
+         if (host != grand_parent_host) {
+           host_list[0] = grand_parent_host;
+           host_list[1] = host;
+           communication_amount[1] = node->parents[k]->cost;
+           DEBUG1("Scheduling transfer task '%s'",
+                  SD_task_get_name(node->parents[k]->sd_task));
+           SD_task_schedule(node->parents[k]->sd_task, 2, host_list,
+                            no_cost, communication_amount, -1.0);
+           DEBUG2("Task '%s' state: %d",
+                  SD_task_get_name(node->parents[k]->sd_task),
+                  SD_task_get_state(node->parents[k]->sd_task));
+         } else {
+           SD_task_schedule(node->parents[k]->sd_task, 1, host_list,
+                            no_cost, communication_amount, -1.0);
+/*         SD_task_schedule(node->parents[k]->sd_task, 1, &host, */
+/*                          no_cost, &(node->parents[k]->cost), -1.0); */
+         }
+/*       host_list[0] = grand_parent_host; */
+/*       host_list[1] = host; */
+/*       communication_amount[1] = node->parents[k]->cost; */
+/*       DEBUG1("Scheduling transfer task '%s'", SD_task_get_name(node->parents[k]->sd_task)); */
+/*       SD_task_schedule(node->parents[k]->sd_task, 2, host_list, */
+/*                        no_cost, communication_amount, -1.0); */
+/*       DEBUG2("Task '%s' state: %d", SD_task_get_name(node->parents[k]->sd_task), */
+/*              SD_task_get_state(node->parents[k]->sd_task)); */
+
+/* /\*           if (!route) { *\/ */
+/* /\*             if (SG_scheduleTaskOnResource(node->parents[k]->sg_task, *\/ */
+/* /\*                                           local_link->sg_link) *\/ */
+/* /\*                 == -1) { *\/ */
+/* /\*               fprintf(stderr,"Task '%s' already in state %d\n", *\/ */
+/* /\*                       node->parents[k]->sg_task->name, *\/ */
+/* /\*                       node->parents[k]->sg_task->state); *\/ */
+/* /\*             } *\/ */
+/* /\*           } else { *\/ */
+/* /\*             if (SG_scheduleTaskOnResource(node->parents[k]->sg_task, *\/ */
+/* /\*                                           route)  *\/ */
+/* /\*                 == -1) { *\/ */
+/* /\*              fprintf(stderr,"Task '%s' already in state %d\n", *\/ */
+/* /\*                       node->parents[k]->sg_task->name, *\/ */
+/* /\*                       node->parents[k]->sg_task->state); *\/ */
+/* /\*             }  *\/ */
+/* /\*           } *\/ */
        }
       }
     }
        }
       }
     }
index 3eaf686..c7992f0 100644 (file)
@@ -152,6 +152,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
diff --git a/libtool b/libtool
index 834f50a..24d9ca3 100755 (executable)
--- a/libtool
+++ b/libtool
@@ -44,7 +44,7 @@ available_tags=" CXX F77"
 
 # ### BEGIN LIBTOOL CONFIG
 
 
 # ### BEGIN LIBTOOL CONFIG
 
-# Libtool was configured on host neutres:
+# Libtool was configured on host kanza:
 
 # Shell to use when invoking shell scripts.
 SHELL="/bin/sh"
 
 # Shell to use when invoking shell scripts.
 SHELL="/bin/sh"
@@ -97,13 +97,13 @@ with_gcc=yes
 EGREP="/bin/grep -E"
 
 # The linker used to build libraries.
 EGREP="/bin/grep -E"
 
 # The linker used to build libraries.
-LD="/usr/bin/ld"
+LD="/usr/bin/X11//ld"
 
 # Whether we need hard or soft links.
 LN_S="ln -s"
 
 # A BSD-compatible nm program.
 
 # Whether we need hard or soft links.
 LN_S="ln -s"
 
 # A BSD-compatible nm program.
-NM="/usr/bin/nm -B"
+NM="/usr/bin/X11//nm -B"
 
 # A symbol stripping program
 STRIP="strip"
 
 # A symbol stripping program
 STRIP="strip"
@@ -325,10 +325,10 @@ variables_saved_for_relink="PATH LD_LIBRARY_PATH LD_RUN_PATH GCC_EXEC_PREFIX COM
 link_all_deplibs=no
 
 # Compile-time system search path for libraries
 link_all_deplibs=no
 
 # Compile-time system search path for libraries
-sys_lib_search_path_spec=" /home/velho/usr/lib/i486-linux-gnu/4.1.2/ /home/velho/usr/lib/ ./i486-linux-gnu/4.1.2/ ./ /usr/lib/gcc/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../i486-linux-gnu/lib/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../i486-linux-gnu/lib/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../ /lib/i486-linux-gnu/4.1.2/ /lib/ /usr/lib/i486-linux-gnu/4.1.2/ /usr/lib/"
+sys_lib_search_path_spec=" /usr/lib/gcc/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../i486-linux-gnu/lib/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../i486-linux-gnu/lib/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../ /lib/i486-linux-gnu/4.1.2/ /lib/ /usr/lib/i486-linux-gnu/4.1.2/ /usr/lib/"
 
 # Run-time system search path for libraries
 
 # Run-time system search path for libraries
-sys_lib_dlsearch_path_spec="/lib /usr/lib /lib/i486-linux-gnu /usr/lib/i486-linux-gnu /usr/X11R6/lib /usr/lib/atlas "
+sys_lib_dlsearch_path_spec="/lib /usr/lib /usr/X11R6/lib /lib64 /usr/lib64 /usr/X11R6/lib64 /usr/lib/atlas/sse2 /usr/lib/sse2 /usr/lib/atlas "
 
 # Fix the shell variable $srcfile for the compiler.
 fix_srcfile_path=""
 
 # Fix the shell variable $srcfile for the compiler.
 fix_srcfile_path=""
@@ -7223,7 +7223,7 @@ disable_libs=static
 # End:
 # ### BEGIN LIBTOOL TAG CONFIG: CXX
 
 # End:
 # ### BEGIN LIBTOOL TAG CONFIG: CXX
 
-# Libtool was configured on host neutres:
+# Libtool was configured on host kanza:
 
 # Shell to use when invoking shell scripts.
 SHELL="/bin/sh"
 
 # Shell to use when invoking shell scripts.
 SHELL="/bin/sh"
@@ -7276,13 +7276,13 @@ with_gcc=yes
 EGREP="/bin/grep -E"
 
 # The linker used to build libraries.
 EGREP="/bin/grep -E"
 
 # The linker used to build libraries.
-LD="/usr/bin/ld"
+LD="/usr/bin/X11//ld"
 
 # Whether we need hard or soft links.
 LN_S="ln -s"
 
 # A BSD-compatible nm program.
 
 # Whether we need hard or soft links.
 LN_S="ln -s"
 
 # A BSD-compatible nm program.
-NM="/usr/bin/nm -B"
+NM="/usr/bin/X11//nm -B"
 
 # A symbol stripping program
 STRIP="strip"
 
 # A symbol stripping program
 STRIP="strip"
@@ -7421,7 +7421,7 @@ postdeps="-lstdc++ -lm -lgcc_s -lc -lgcc_s"
 
 # The library search path used internally by the compiler when linking
 # a shared library.
 
 # The library search path used internally by the compiler when linking
 # a shared library.
-compiler_lib_search_path="-L/home/velho/usr/lib/../lib -L. -L/usr/lib/gcc/i486-linux-gnu/4.1.2 -L/usr/lib/gcc/i486-linux-gnu/4.1.2 -L/usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib"
+compiler_lib_search_path="-L/usr/lib/gcc/i486-linux-gnu/4.1.2 -L/usr/lib/gcc/i486-linux-gnu/4.1.2 -L/usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib"
 
 # Method to check whether dependent libraries are shared objects.
 deplibs_check_method="pass_all"
 
 # Method to check whether dependent libraries are shared objects.
 deplibs_check_method="pass_all"
@@ -7501,10 +7501,10 @@ variables_saved_for_relink="PATH LD_LIBRARY_PATH LD_RUN_PATH GCC_EXEC_PREFIX COM
 link_all_deplibs=no
 
 # Compile-time system search path for libraries
 link_all_deplibs=no
 
 # Compile-time system search path for libraries
-sys_lib_search_path_spec=" /home/velho/usr/lib/i486-linux-gnu/4.1.2/ /home/velho/usr/lib/ ./i486-linux-gnu/4.1.2/ ./ /usr/lib/gcc/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../i486-linux-gnu/lib/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../i486-linux-gnu/lib/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../ /lib/i486-linux-gnu/4.1.2/ /lib/ /usr/lib/i486-linux-gnu/4.1.2/ /usr/lib/"
+sys_lib_search_path_spec=" /usr/lib/gcc/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../i486-linux-gnu/lib/i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../../i486-linux-gnu/lib/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../i486-linux-gnu/4.1.2/ /usr/lib/gcc/i486-linux-gnu/4.1.2/../../../ /lib/i486-linux-gnu/4.1.2/ /lib/ /usr/lib/i486-linux-gnu/4.1.2/ /usr/lib/"
 
 # Run-time system search path for libraries
 
 # Run-time system search path for libraries
-sys_lib_dlsearch_path_spec="/lib /usr/lib /lib/i486-linux-gnu /usr/lib/i486-linux-gnu /usr/X11R6/lib /usr/lib/atlas "
+sys_lib_dlsearch_path_spec="/lib /usr/lib /usr/X11R6/lib /lib64 /usr/lib64 /usr/X11R6/lib64 /usr/lib/atlas/sse2 /usr/lib/sse2 /usr/lib/atlas "
 
 # Fix the shell variable $srcfile for the compiler.
 fix_srcfile_path=""
 
 # Fix the shell variable $srcfile for the compiler.
 fix_srcfile_path=""
@@ -7528,7 +7528,7 @@ include_expsyms=""
 
 # ### BEGIN LIBTOOL TAG CONFIG: F77
 
 
 # ### BEGIN LIBTOOL TAG CONFIG: F77
 
-# Libtool was configured on host neutres:
+# Libtool was configured on host kanza:
 
 # Shell to use when invoking shell scripts.
 SHELL="/bin/sh"
 
 # Shell to use when invoking shell scripts.
 SHELL="/bin/sh"
@@ -7581,13 +7581,13 @@ with_gcc=yes
 EGREP="/bin/grep -E"
 
 # The linker used to build libraries.
 EGREP="/bin/grep -E"
 
 # The linker used to build libraries.
-LD="/usr/bin/ld"
+LD="/usr/bin/X11//ld"
 
 # Whether we need hard or soft links.
 LN_S="ln -s"
 
 # A BSD-compatible nm program.
 
 # Whether we need hard or soft links.
 LN_S="ln -s"
 
 # A BSD-compatible nm program.
-NM="/usr/bin/nm -B"
+NM="/usr/bin/X11//nm -B"
 
 # A symbol stripping program
 STRIP="strip"
 
 # A symbol stripping program
 STRIP="strip"
@@ -7809,10 +7809,10 @@ variables_saved_for_relink="PATH LD_LIBRARY_PATH LD_RUN_PATH GCC_EXEC_PREFIX COM
 link_all_deplibs=no
 
 # Compile-time system search path for libraries
 link_all_deplibs=no
 
 # Compile-time system search path for libraries
-sys_lib_search_path_spec=" /home/velho/usr/lib/i486-linux-gnu/3.4.6/ /home/velho/usr/lib/ ./i486-linux-gnu/3.4.6/ ./ /usr/lib/gcc/i486-linux-gnu/3.4.6/ /usr/lib/gcc/i486-linux-gnu/3.4.6/ /usr/lib/gcc/i486-linux-gnu/3.4.6/../../../../i486-linux-gnu/lib/i486-linux-gnu/3.4.6/ /usr/lib/gcc/i486-linux-gnu/3.4.6/../../../../i486-linux-gnu/lib/ /usr/lib/gcc/i486-linux-gnu/3.4.6/../../../i486-linux-gnu/3.4.6/ /usr/lib/gcc/i486-linux-gnu/3.4.6/../../../ /lib/i486-linux-gnu/3.4.6/ /lib/ /usr/lib/i486-linux-gnu/3.4.6/ /usr/lib/"
+sys_lib_search_path_spec=" /usr/lib/gcc/i486-linux-gnu/3.4.6/ /usr/lib/gcc/i486-linux-gnu/3.4.6/ /usr/lib/gcc/i486-linux-gnu/3.4.6/../../../../i486-linux-gnu/lib/i486-linux-gnu/3.4.6/ /usr/lib/gcc/i486-linux-gnu/3.4.6/../../../../i486-linux-gnu/lib/ /usr/lib/gcc/i486-linux-gnu/3.4.6/../../../i486-linux-gnu/3.4.6/ /usr/lib/gcc/i486-linux-gnu/3.4.6/../../../ /lib/i486-linux-gnu/3.4.6/ /lib/ /usr/lib/i486-linux-gnu/3.4.6/ /usr/lib/"
 
 # Run-time system search path for libraries
 
 # Run-time system search path for libraries
-sys_lib_dlsearch_path_spec="/lib /usr/lib /lib/i486-linux-gnu /usr/lib/i486-linux-gnu /usr/X11R6/lib /usr/lib/atlas "
+sys_lib_dlsearch_path_spec="/lib /usr/lib /usr/X11R6/lib /lib64 /usr/lib64 /usr/X11R6/lib64 /usr/lib/atlas/sse2 /usr/lib/sse2 /usr/lib/atlas "
 
 # Fix the shell variable $srcfile for the compiler.
 fix_srcfile_path=""
 
 # Fix the shell variable $srcfile for the compiler.
 fix_srcfile_path=""
index 67ca0ae..37c128e 100644 (file)
@@ -43,9 +43,11 @@ POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
 build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
-@HAVE_SDP_TRUE@am__append_1 = surf/sdp.c  
+@USE_SIMIX_TRUE@am__append_1 = include/simix/simix.h
+@HAVE_SDP_TRUE@am__append_2 = surf/sdp.c  
+@USE_SIMIX_TRUE@am__append_3 = simix/smx_global.c
 @GRAMINE_MODE_FALSE@noinst_PROGRAMS = testall$(EXEEXT)
 @GRAMINE_MODE_FALSE@noinst_PROGRAMS = testall$(EXEEXT)
-@GRAMINE_MODE_FALSE@am__append_2 = $(testall_SOURCES)
+@GRAMINE_MODE_FALSE@am__append_4 = $(testall_SOURCES)
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
        $(srcdir)/gras_config.h.in $(srcdir)/ucontext_stack.h.in \
        $(top_srcdir)/acmacro/dist-files.mk
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
        $(srcdir)/gras_config.h.in $(srcdir)/ucontext_stack.h.in \
        $(top_srcdir)/acmacro/dist-files.mk
@@ -118,29 +120,30 @@ am__libsimgrid_la_SOURCES_DIST = xbt/snprintf.c xbt/ex.c \
        gras/Transport/transport_plugin_sg.c gras/Virtu/sg_emul.c \
        gras/Virtu/sg_process.c gras/Virtu/sg_time.c \
        gras/Virtu/sg_dns.c gras/Msg/sg_msg.c surf/sdp.c \
        gras/Transport/transport_plugin_sg.c gras/Virtu/sg_emul.c \
        gras/Virtu/sg_process.c gras/Virtu/sg_time.c \
        gras/Virtu/sg_dns.c gras/Msg/sg_msg.c surf/sdp.c \
-       amok/amok_base.c amok/Bandwidth/bandwidth.c \
+       simix/smx_global.c amok/amok_base.c amok/Bandwidth/bandwidth.c \
        amok/Bandwidth/saturate.c amok/PeerManagement/peermanagement.c
 @HAVE_SDP_TRUE@am__objects_4 = sdp.lo
        amok/Bandwidth/saturate.c amok/PeerManagement/peermanagement.c
 @HAVE_SDP_TRUE@am__objects_4 = sdp.lo
-am__objects_5 = context.lo maxmin.lo trace_mgr.lo surf.lo \
+@USE_SIMIX_TRUE@am__objects_5 = smx_global.lo
+am__objects_6 = context.lo maxmin.lo trace_mgr.lo surf.lo \
        surfxml_parse.lo cpu.lo network.lo workstation.lo \
        surf_timer.lo network_dassf.lo workstation_KCCFLN05.lo \
        msg_config.lo task.lo host.lo m_process.lo gos.lo global.lo \
        environment.lo deployment.lo sd_global.lo sd_link.lo \
        sd_task.lo sd_workstation.lo sg_transport.lo \
        transport_plugin_sg.lo sg_emul.lo sg_process.lo sg_time.lo \
        surfxml_parse.lo cpu.lo network.lo workstation.lo \
        surf_timer.lo network_dassf.lo workstation_KCCFLN05.lo \
        msg_config.lo task.lo host.lo m_process.lo gos.lo global.lo \
        environment.lo deployment.lo sd_global.lo sd_link.lo \
        sd_task.lo sd_workstation.lo sg_transport.lo \
        transport_plugin_sg.lo sg_emul.lo sg_process.lo sg_time.lo \
-       sg_dns.lo sg_msg.lo $(am__objects_4)
-am_libsimgrid_la_OBJECTS = $(am__objects_1) $(am__objects_5) \
+       sg_dns.lo sg_msg.lo $(am__objects_4) $(am__objects_5)
+am_libsimgrid_la_OBJECTS = $(am__objects_1) $(am__objects_6) \
        $(am__objects_3)
 libsimgrid_la_OBJECTS = $(am_libsimgrid_la_OBJECTS)
 PROGRAMS = $(noinst_PROGRAMS)
 am__testall_SOURCES_DIST = cunit_unit.c ex_unit.c dynar_unit.c \
        dict_unit.c set_unit.c swag_unit.c config_unit.c \
        simgrid_units_main.c
        $(am__objects_3)
 libsimgrid_la_OBJECTS = $(am_libsimgrid_la_OBJECTS)
 PROGRAMS = $(noinst_PROGRAMS)
 am__testall_SOURCES_DIST = cunit_unit.c ex_unit.c dynar_unit.c \
        dict_unit.c set_unit.c swag_unit.c config_unit.c \
        simgrid_units_main.c
-@GRAMINE_MODE_FALSE@am__objects_6 = cunit_unit.$(OBJEXT) \
+@GRAMINE_MODE_FALSE@am__objects_7 = cunit_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   ex_unit.$(OBJEXT) dynar_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   dict_unit.$(OBJEXT) set_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   swag_unit.$(OBJEXT) config_unit.$(OBJEXT)
 @GRAMINE_MODE_FALSE@   ex_unit.$(OBJEXT) dynar_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   dict_unit.$(OBJEXT) set_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   swag_unit.$(OBJEXT) config_unit.$(OBJEXT)
-@GRAMINE_MODE_FALSE@am_testall_OBJECTS = $(am__objects_6) \
+@GRAMINE_MODE_FALSE@am_testall_OBJECTS = $(am__objects_7) \
 @GRAMINE_MODE_FALSE@   simgrid_units_main.$(OBJEXT)
 testall_OBJECTS = $(am_testall_OBJECTS)
 @GRAMINE_MODE_FALSE@testall_DEPENDENCIES = libgras.la
 @GRAMINE_MODE_FALSE@   simgrid_units_main.$(OBJEXT)
 testall_OBJECTS = $(am_testall_OBJECTS)
 @GRAMINE_MODE_FALSE@testall_DEPENDENCIES = libgras.la
@@ -239,6 +242,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
@@ -333,7 +338,7 @@ EXTRA_DIST = portable.h xbt/mallocator_private.h xbt/dynar_private.h \
        gras/Virtu/virtu_rl.h gras/Virtu/virtu_sg.h \
        gras/DataDesc/ddt_parse.yy.l gras/DataDesc/ddt_parse.yy.c \
        amok/Bandwidth/bandwidth_private.h amok/amok_modinter.h \
        gras/Virtu/virtu_rl.h gras/Virtu/virtu_sg.h \
        gras/DataDesc/ddt_parse.yy.l gras/DataDesc/ddt_parse.yy.c \
        amok/Bandwidth/bandwidth_private.h amok/amok_modinter.h \
-       $(am__append_2)
+       $(am__append_1) $(am__append_4)
 
 #        gras_private.h
 
 
 #        gras_private.h
 
@@ -435,7 +440,8 @@ SG_SRC = xbt/context.c surf/maxmin.c surf/trace_mgr.c surf/surf.c \
        gras/Transport/sg_transport.c \
        gras/Transport/transport_plugin_sg.c gras/Virtu/sg_emul.c \
        gras/Virtu/sg_process.c gras/Virtu/sg_time.c \
        gras/Transport/sg_transport.c \
        gras/Transport/transport_plugin_sg.c gras/Virtu/sg_emul.c \
        gras/Virtu/sg_process.c gras/Virtu/sg_time.c \
-       gras/Virtu/sg_dns.c gras/Msg/sg_msg.c $(am__append_1)
+       gras/Virtu/sg_dns.c gras/Msg/sg_msg.c $(am__append_2) \
+       $(am__append_3)
 AMOK_SRC = \
   amok/amok_base.c \
   amok/Bandwidth/bandwidth.c amok/Bandwidth/saturate.c \
 AMOK_SRC = \
   amok/amok_base.c \
   amok/Bandwidth/bandwidth.c amok/Bandwidth/saturate.c \
@@ -635,6 +641,7 @@ distclean-compile:
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sg_time.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sg_transport.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/simgrid_units_main.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sg_time.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sg_transport.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/simgrid_units_main.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smx_global.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/snprintf.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_timer.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/snprintf.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_timer.Plo@am__quote@
@@ -1236,6 +1243,13 @@ sdp.lo: surf/sdp.c
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@  $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp.lo `test -f 'surf/sdp.c' || echo '$(srcdir)/'`surf/sdp.c
 
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@  $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp.lo `test -f 'surf/sdp.c' || echo '$(srcdir)/'`surf/sdp.c
 
+smx_global.lo: simix/smx_global.c
+@am__fastdepCC_TRUE@   if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT smx_global.lo -MD -MP -MF "$(DEPDIR)/smx_global.Tpo" -c -o smx_global.lo `test -f 'simix/smx_global.c' || echo '$(srcdir)/'`simix/smx_global.c; \
+@am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/smx_global.Tpo" "$(DEPDIR)/smx_global.Plo"; else rm -f "$(DEPDIR)/smx_global.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='simix/smx_global.c' object='smx_global.lo' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o smx_global.lo `test -f 'simix/smx_global.c' || echo '$(srcdir)/'`simix/smx_global.c
+
 mostlyclean-libtool:
        -rm -f *.lo
 
 mostlyclean-libtool:
        -rm -f *.lo
 
@@ -1368,7 +1382,7 @@ check-TESTS: $(TESTS)
        else :; fi
 
 distdir: $(DISTFILES)
        else :; fi
 
 distdir: $(DISTFILES)
-       $(mkdir_p) $(distdir)/../acmacro $(distdir)/amok $(distdir)/amok/Bandwidth $(distdir)/gras/DataDesc $(distdir)/gras/Transport $(distdir)/gras/Virtu $(distdir)/include/surf $(distdir)/include/xbt $(distdir)/msg $(distdir)/simdag $(distdir)/surf $(distdir)/xbt
+       $(mkdir_p) $(distdir)/../acmacro $(distdir)/amok $(distdir)/amok/Bandwidth $(distdir)/gras/DataDesc $(distdir)/gras/Transport $(distdir)/gras/Virtu $(distdir)/include/simix $(distdir)/include/surf $(distdir)/include/xbt $(distdir)/msg $(distdir)/simdag $(distdir)/surf $(distdir)/xbt
        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
        list='$(DISTFILES)'; for file in $$list; do \
        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
        list='$(DISTFILES)'; for file in $$list; do \
index 99cbd92..04124ab 100644 (file)
@@ -83,6 +83,9 @@
 /* Define to 1 if you have the `readv' function. */
 #undef HAVE_READV
 
 /* Define to 1 if you have the `readv' function. */
 #undef HAVE_READV
 
+/* Indicates whether we have the CSDP library or not */
+#undef HAVE_SDP
+
 /* Define to 1 if you have the `signal' function. */
 #undef HAVE_SIGNAL
 
 /* Define to 1 if you have the `signal' function. */
 #undef HAVE_SIGNAL
 
 /* Define if we use pthreads or not */
 #undef USE_PTHREADS
 
 /* Define if we use pthreads or not */
 #undef USE_PTHREADS
 
+/* Indicates whether we should use SimIX or not */
+#undef USE_SIMIX
+
 /* Define if we use ucontext or not */
 #undef USE_UCONTEXT
 
 /* Define if we use ucontext or not */
 #undef USE_UCONTEXT
 
index 158e8ac..2948c4a 100644 (file)
@@ -41,9 +41,8 @@ POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
 build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
-@HAVE_SDP_TRUE@am__append_1 = surf/sdp_usage surf/sdp_bench
-check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_4) \
-       $(am__EXEEXT_5)
+check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3) \
+       $(am__EXEEXT_4)
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
        $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
 subdir = testsuite
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
        $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
 subdir = testsuite
@@ -66,12 +65,10 @@ am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
 am__EXEEXT_2 = gras/trp_tcp_client$(EXEEXT) \
        gras/trp_tcp_server$(EXEEXT) gras/trp_file_client$(EXEEXT) \
        gras/trp_file_server$(EXEEXT) gras/datadesc_usage$(EXEEXT)
 am__EXEEXT_2 = gras/trp_tcp_client$(EXEEXT) \
        gras/trp_tcp_server$(EXEEXT) gras/trp_file_client$(EXEEXT) \
        gras/trp_file_server$(EXEEXT) gras/datadesc_usage$(EXEEXT)
-@HAVE_SDP_TRUE@am__EXEEXT_3 = surf/sdp_usage$(EXEEXT) \
-@HAVE_SDP_TRUE@        surf/sdp_bench$(EXEEXT)
-am__EXEEXT_4 = surf/maxmin_usage$(EXEEXT) surf/maxmin_bench$(EXEEXT) \
+am__EXEEXT_3 = surf/maxmin_usage$(EXEEXT) surf/maxmin_bench$(EXEEXT) \
        surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
        surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
-       surf/surf_usage2$(EXEEXT) $(am__EXEEXT_3)
-am__EXEEXT_5 = simdag/sd_test$(EXEEXT)
+       surf/surf_usage2$(EXEEXT)
+am__EXEEXT_4 = simdag/sd_test$(EXEEXT)
 am_gras_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
        datadesc_structs.$(OBJEXT)
 gras_datadesc_usage_OBJECTS = $(am_gras_datadesc_usage_OBJECTS)
 am_gras_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
        datadesc_structs.$(OBJEXT)
 gras_datadesc_usage_OBJECTS = $(am_gras_datadesc_usage_OBJECTS)
@@ -100,12 +97,6 @@ surf_maxmin_bench_DEPENDENCIES = $(am__DEPENDENCIES_2)
 surf_maxmin_usage_SOURCES = surf/maxmin_usage.c
 surf_maxmin_usage_OBJECTS = maxmin_usage.$(OBJEXT)
 surf_maxmin_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
 surf_maxmin_usage_SOURCES = surf/maxmin_usage.c
 surf_maxmin_usage_OBJECTS = maxmin_usage.$(OBJEXT)
 surf_maxmin_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
-surf_sdp_bench_SOURCES = surf/sdp_bench.c
-surf_sdp_bench_OBJECTS = sdp_bench.$(OBJEXT)
-@HAVE_SDP_TRUE@surf_sdp_bench_DEPENDENCIES = $(am__DEPENDENCIES_2)
-surf_sdp_usage_SOURCES = surf/sdp_usage.c
-surf_sdp_usage_OBJECTS = sdp_usage.$(OBJEXT)
-@HAVE_SDP_TRUE@surf_sdp_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
 surf_surf_usage_SOURCES = surf/surf_usage.c
 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
 surf_surf_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
 surf_surf_usage_SOURCES = surf/surf_usage.c
 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
 surf_surf_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
@@ -141,17 +132,15 @@ LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
        gras/trp_file_server.c gras/trp_tcp_client.c \
        gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
 SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
        gras/trp_file_server.c gras/trp_tcp_client.c \
        gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
-       surf/maxmin_usage.c surf/sdp_bench.c surf/sdp_usage.c \
-       surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
-       xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
-       xbt/log_usage.c
+       surf/maxmin_usage.c surf/surf_usage.c surf/surf_usage2.c \
+       surf/trace_usage.c xbt/context_usage.c xbt/graphxml_usage.c \
+       xbt/heap_bench.c xbt/log_usage.c
 DIST_SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
        gras/trp_file_server.c gras/trp_tcp_client.c \
        gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
 DIST_SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
        gras/trp_file_server.c gras/trp_tcp_client.c \
        gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
-       surf/maxmin_usage.c surf/sdp_bench.c surf/sdp_usage.c \
-       surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
-       xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
-       xbt/log_usage.c
+       surf/maxmin_usage.c surf/surf_usage.c surf/surf_usage2.c \
+       surf/trace_usage.c xbt/context_usage.c xbt/graphxml_usage.c \
+       xbt/heap_bench.c xbt/log_usage.c
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
@@ -232,6 +221,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
@@ -294,7 +285,7 @@ target_cpu = @target_cpu@
 target_os = @target_os@
 target_vendor = @target_vendor@
 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
 target_os = @target_os@
 target_vendor = @target_vendor@
 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
-AM_CFLAGS = -g 
+AM_CFLAGS = -g
 CLEANFILES = *~ test a.out *.o gras/datadesc_usage.out datadesc_usage.out\
   testgraph.xml testgraph.dot
 
 CLEANFILES = *~ test a.out *.o gras/datadesc_usage.out datadesc_usage.out\
   testgraph.xml testgraph.dot
 
@@ -325,8 +316,13 @@ RL_tests = \
        gras/trp_file_client  gras/trp_file_server      \
        gras/datadesc_usage                             
 
        gras/trp_file_client  gras/trp_file_server      \
        gras/datadesc_usage                             
 
-SG_tests = surf/maxmin_usage surf/maxmin_bench surf/trace_usage \
-       surf/surf_usage surf/surf_usage2 $(am__append_1)
+SG_tests = \
+       surf/maxmin_usage surf/maxmin_bench \
+       surf/trace_usage surf/surf_usage surf/surf_usage2
+
+#if HAVE_SDP
+#  SG_tests+=surf/sdp_usage
+#endif
 simdag_tests = simdag/sd_test
 check_SCRIPTS = run_tests gras/trp_tcp_usage
 TESTS = run_tests
 simdag_tests = simdag/sd_test
 check_SCRIPTS = run_tests gras/trp_tcp_usage
 TESTS = run_tests
@@ -343,8 +339,10 @@ surf_maxmin_bench_LDADD = $(LDADD_SG)
 surf_trace_usage_LDADD = $(LDADD_SG)
 surf_surf_usage_LDADD = $(LDADD_SG)
 surf_surf_usage2_LDADD = $(LDADD_SG)
 surf_trace_usage_LDADD = $(LDADD_SG)
 surf_surf_usage_LDADD = $(LDADD_SG)
 surf_surf_usage2_LDADD = $(LDADD_SG)
-@HAVE_SDP_TRUE@surf_sdp_usage_LDADD = $(LDADD_SG)
-@HAVE_SDP_TRUE@surf_sdp_bench_LDADD = $(LDADD_SG)
+#if HAVE_SDP
+#surf_sdp_usage_LDADD=         $(LDADD_SG)
+#surf_sdp_bench_LDADD=         $(LDADD_SG)
+#endif
 gras_trp_tcp_client_LDADD = $(LDADD_RL)
 gras_trp_tcp_server_LDADD = $(LDADD_RL)
 gras_trp_file_client_LDADD = $(LDADD_RL)
 gras_trp_tcp_client_LDADD = $(LDADD_RL)
 gras_trp_tcp_server_LDADD = $(LDADD_RL)
 gras_trp_file_client_LDADD = $(LDADD_RL)
@@ -427,12 +425,6 @@ surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEP
 surf/maxmin_usage$(EXEEXT): $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_DEPENDENCIES) surf/$(am__dirstamp)
        @rm -f surf/maxmin_usage$(EXEEXT)
        $(LINK) $(surf_maxmin_usage_LDFLAGS) $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_LDADD) $(LIBS)
 surf/maxmin_usage$(EXEEXT): $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_DEPENDENCIES) surf/$(am__dirstamp)
        @rm -f surf/maxmin_usage$(EXEEXT)
        $(LINK) $(surf_maxmin_usage_LDFLAGS) $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_LDADD) $(LIBS)
-surf/sdp_bench$(EXEEXT): $(surf_sdp_bench_OBJECTS) $(surf_sdp_bench_DEPENDENCIES) surf/$(am__dirstamp)
-       @rm -f surf/sdp_bench$(EXEEXT)
-       $(LINK) $(surf_sdp_bench_LDFLAGS) $(surf_sdp_bench_OBJECTS) $(surf_sdp_bench_LDADD) $(LIBS)
-surf/sdp_usage$(EXEEXT): $(surf_sdp_usage_OBJECTS) $(surf_sdp_usage_DEPENDENCIES) surf/$(am__dirstamp)
-       @rm -f surf/sdp_usage$(EXEEXT)
-       $(LINK) $(surf_sdp_usage_LDFLAGS) $(surf_sdp_usage_OBJECTS) $(surf_sdp_usage_LDADD) $(LIBS)
 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
        @rm -f surf/surf_usage$(EXEEXT)
        $(LINK) $(surf_surf_usage_LDFLAGS) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
        @rm -f surf/surf_usage$(EXEEXT)
        $(LINK) $(surf_surf_usage_LDFLAGS) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
@@ -473,8 +465,6 @@ distclean-compile:
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_usage.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_usage.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdp_bench.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdp_usage.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
@@ -630,34 +620,6 @@ maxmin_usage.obj: surf/maxmin_usage.c
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_usage.obj `if test -f 'surf/maxmin_usage.c'; then $(CYGPATH_W) 'surf/maxmin_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_usage.c'; fi`
 
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_usage.obj `if test -f 'surf/maxmin_usage.c'; then $(CYGPATH_W) 'surf/maxmin_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_usage.c'; fi`
 
-sdp_bench.o: surf/sdp_bench.c
-@am__fastdepCC_TRUE@   if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp_bench.o -MD -MP -MF "$(DEPDIR)/sdp_bench.Tpo" -c -o sdp_bench.o `test -f 'surf/sdp_bench.c' || echo '$(srcdir)/'`surf/sdp_bench.c; \
-@am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/sdp_bench.Tpo" "$(DEPDIR)/sdp_bench.Po"; else rm -f "$(DEPDIR)/sdp_bench.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='surf/sdp_bench.c' object='sdp_bench.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp_bench.o `test -f 'surf/sdp_bench.c' || echo '$(srcdir)/'`surf/sdp_bench.c
-
-sdp_bench.obj: surf/sdp_bench.c
-@am__fastdepCC_TRUE@   if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp_bench.obj -MD -MP -MF "$(DEPDIR)/sdp_bench.Tpo" -c -o sdp_bench.obj `if test -f 'surf/sdp_bench.c'; then $(CYGPATH_W) 'surf/sdp_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/sdp_bench.c'; fi`; \
-@am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/sdp_bench.Tpo" "$(DEPDIR)/sdp_bench.Po"; else rm -f "$(DEPDIR)/sdp_bench.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='surf/sdp_bench.c' object='sdp_bench.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp_bench.obj `if test -f 'surf/sdp_bench.c'; then $(CYGPATH_W) 'surf/sdp_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/sdp_bench.c'; fi`
-
-sdp_usage.o: surf/sdp_usage.c
-@am__fastdepCC_TRUE@   if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp_usage.o -MD -MP -MF "$(DEPDIR)/sdp_usage.Tpo" -c -o sdp_usage.o `test -f 'surf/sdp_usage.c' || echo '$(srcdir)/'`surf/sdp_usage.c; \
-@am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/sdp_usage.Tpo" "$(DEPDIR)/sdp_usage.Po"; else rm -f "$(DEPDIR)/sdp_usage.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='surf/sdp_usage.c' object='sdp_usage.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp_usage.o `test -f 'surf/sdp_usage.c' || echo '$(srcdir)/'`surf/sdp_usage.c
-
-sdp_usage.obj: surf/sdp_usage.c
-@am__fastdepCC_TRUE@   if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp_usage.obj -MD -MP -MF "$(DEPDIR)/sdp_usage.Tpo" -c -o sdp_usage.obj `if test -f 'surf/sdp_usage.c'; then $(CYGPATH_W) 'surf/sdp_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/sdp_usage.c'; fi`; \
-@am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/sdp_usage.Tpo" "$(DEPDIR)/sdp_usage.Po"; else rm -f "$(DEPDIR)/sdp_usage.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='surf/sdp_usage.c' object='sdp_usage.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp_usage.obj `if test -f 'surf/sdp_usage.c'; then $(CYGPATH_W) 'surf/sdp_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/sdp_usage.c'; fi`
-
 surf_usage.o: surf/surf_usage.c
 @am__fastdepCC_TRUE@   if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF "$(DEPDIR)/surf_usage.Tpo" -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c; \
 @am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/surf_usage.Tpo" "$(DEPDIR)/surf_usage.Po"; else rm -f "$(DEPDIR)/surf_usage.Tpo"; exit 1; fi
 surf_usage.o: surf/surf_usage.c
 @am__fastdepCC_TRUE@   if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF "$(DEPDIR)/surf_usage.Tpo" -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c; \
 @am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/surf_usage.Tpo" "$(DEPDIR)/surf_usage.Po"; else rm -f "$(DEPDIR)/surf_usage.Tpo"; exit 1; fi
index bb381b5..26303f1 100755 (executable)
@@ -4,7 +4,7 @@ use strict;
 use XFig;
 
 my($grid_Y_size)=225; # xfig 
 use XFig;
 
 my($grid_Y_size)=225; # xfig 
-my($grid_X_size)=550; # xfig 
+my($grid_X_size)=100550; # xfig
 
 sub read_cat {
     my(%Cat);
 
 sub read_cat {
     my(%Cat);
@@ -192,7 +192,7 @@ sub draw_cat {
        my($dst)=$$Link{$link}{dst};
        $line->{'subtype'} = 1;  # line
 
        my($dst)=$$Link{$link}{dst};
        $line->{'subtype'} = 1;  # line
 
-       print STDERR "$src -> $dst\n";
+       print STDERR "$link: $src ($src_date) -> $dst ($dst_date)\n";
 
        print STDERR "$$Cat{$src}{name} -> $$Cat{$dst}{name}\n";
        $line->{'points'} = [ [$src_date*$grid_X_size, 
 
        print STDERR "$$Cat{$src}{name} -> $$Cat{$dst}{name}\n";
        $line->{'points'} = [ [$src_date*$grid_X_size, 
index 7b20ea5..fc4a16b 100644 (file)
@@ -147,6 +147,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
index 0d6a411..338a7c6 100644 (file)
@@ -159,6 +159,8 @@ SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
 SHELL = @SHELL@
 SIMGRID_DEP = @SIMGRID_DEP@
 STRIP = @STRIP@
+USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
+USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@
 VERSION = @VERSION@
 WARNING = @WARNING@
 abs_builddir = @abs_builddir@